body {
  font-family: "Roboto", sans-serif;
  font-size: 15px;
  line-height: 20px;
  color: rgb(15, 20, 25);
}

.add-post-bttn {
  font-size: 25px;
  line-height: 25px;
  font-weight: 700;
  border-radius: 4px;
  cursor: pointer;
  padding: 10px 5px;

  position: fixed;
  right: 20px;
  top: 50px;
}

.add-post-bttn:hover {
  background-color: rgba(0, 0, 0, 0.2);
}

.container {
  width: 768px;
  margin: 0 auto;
}

.card-container {
  padding: 20px 0;

  display: flex;
  flex-direction: column;
  row-gap: 10px;
}

.card {
  border: 2px solid rgba(0, 0, 0, 0.05);
  background: rgba(0, 0, 0, 0.02);
  padding: 12px 16px;
  cursor: pointer;

  position: relative;
}

.card::after {
  position: absolute;
  content: "";
  width: 95%;
  height: 1px;
  background: rgba(0, 0, 0, 0.05);
  top: 68px;
  left: 50%;
  transform: translate(-50%);
}

.card:hover {
  background-color: rgba(0, 0, 0, 0.05);
}

.flex-wrapper {
  display: flex;
  align-items: center;
  column-gap: 10px;

  margin-bottom: 15px;
}

.avatar {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  background-color: rgba(0, 0, 0, 0.5);
}

.name {
  font-size: 15px;
  font-weight: 700;

  margin: 0;
}

.email {
  color: rgb(83, 100, 113);
  font-weight: 400;

  position: relative;
}

.title {
  margin: 0;
  margin-bottom: 5px;
  padding-left: 58px;

  font-size: 15px;
  text-transform: capitalize;
}

.text {
  margin: 0;
  padding-left: 58px;
}

.delete-bttn {
  background-color: tomato;
  background-image: url("../img/delete.png");
  border: none;
  border-radius: 4px;
  cursor: pointer;

  padding: 0;

  width: 25px;
  height: 25px;

  position: absolute;
  top: 10px;
  right: 10px;
}

.edit-bttn {
  background-color: cornflowerblue;
  background-image: url("../img/pencil.png");
  border: none;
  border-radius: 4px;
  cursor: pointer;

  padding: 0;

  width: 25px;
  height: 25px;

  position: absolute;
  top: 10px;
  right: 45px;
}

.placeholder {
  width: 100%;
  height: 33.333333vh;
  border-bottom: 3px solid rgba(0, 0, 0, 0.1);
  background-image: linear-gradient(90deg, #e4e4e4 40%, #f1f1f1 40%, #ededed 60%, #e4e4e4 100%);
  background-position: 0px 0px;
  background-repeat: repeat;
  animation: animatedBackground 10s linear infinite;
}

@keyframes animatedBackground {
  from {
    background-position: 0 0;
  }
  to {
    background-position: 4000px 0;
  }
}

.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  transform: translate(0, 0);
  z-index: 1000;
}

.modal__background {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.8);
  cursor: pointer;
  z-index: 1;
}

.form,
.modal-content {
  z-index: 2;
  background: white;
  border: 1px solid lightgrey;
  border-radius: 5px;
  padding: 20px 20px 20px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  flex-direction: column;
  width: 70%;
}

input {
  padding: 6px 10px;
  border-radius: 4px;
  font-size: 16px;

  margin: 20px 0 10px;
}

textarea {
  padding: 6px 10px;
  resize: none;
  height: 200px;
  border-radius: 4px;
  font-size: 16px;

  margin: 20px 0 30px;
}

.modal__button-wrapper {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  column-gap: 10px;
}

.modal-cancel-bttn,
.modal-confirm-bttn {
  padding: 7px 12px;
  color: white;
  border-radius: 6px;
  border: none;
  outline: none;
  font-size: 18px;
  cursor: pointer;
  filter: brightness(0.9);
  min-width: 120px;
}

.modal-cancel-bttn {
  background: tomato;
}

.modal-confirm-bttn {
  background: cornflowerblue;
}

.modal-cancel-bttn:hover,
.modal-confirm-bttn:hover {
  box-shadow: 0 0 4px 0 rgba(34, 60, 80, 0.6);
  filter: brightness(1);
}

.scroll-up-bttn {
  position: fixed;
  bottom: 50px;
  right: 50px;
}
